<?php

/**
 * "Who I am" template file
 *
 * @var QUI\Projects\Project $Project
 * @var QUI\Projects\Site $Site
 * @var QUI\Interfaces\Template\EngineInterface $Engine
 * @var QUI\Template $Template
 **/


$Locale = QUI::getLocale();


/**
 * Emotion
 */
QUI\Utils\Site::setRecursiveAttribute($Site, 'image_emotion');

// Inhalts Verhalten
if (
    $Site->getAttribute('templatePresentation.showTitle')
    || $Site->getAttribute('templatePresentation.showShort')
) {
    $Template->setAttribute('content-header', false);
}

$BricksManager = \QUI\Bricks\Manager::init();

/**
 * Template config
 */
$settings = QUI\TemplateWhoIAm\Utils::getConfig([
    'Project' => $Project,
    'Site' => $Site,
    'Template' => $Template,
    'BricksManager' => $BricksManager
]);

$Logo = $Project->getMedia()->getLogoImage();

$settings['StartPage'] = $Project->get(1);

$Template->setAttributes($settings);
$Template->setAttribute('Logo', $Logo);

$Engine->assign([
    'BricksManager' => $BricksManager
]);
